## org.biojava.bio.program.homologene
Class HomologeneTools

    java.lang.Object
      org.biojava.bio.program.homologene.HomologeneTools

    public class HomologeneTools

extends Object

Homologene is a NCBI dataset that curates sets of orthologues from the reference model ogranisms.

This class is a Collection of methods for handling data from the Homologene dataset.

Author:
  David Huen

Constructor Summary
`HomologeneTools()`

Method Summary
`static Taxon` `createTaxon(int taxonID, String description)` add a Taxon
`static Taxon` `getTaxon(int taxonID)` get the Taxon corresponding to this Taxon ID
`static void` `instantiateDB(URL url, HomologeneBuilder builder)` instantiate a HomologeneDB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomologeneTools

    public HomologeneTools()

Method Detail

### getTaxon

    public static Taxon getTaxon(int taxonID)

  get the Taxon corresponding to this Taxon ID

### createTaxon

    public static Taxon createTaxon(int taxonID,
                                    String description)
                             throws DuplicateTaxonException

  add a Taxon

  Throws:
    `DuplicateTaxonException`

### instantiateDB

    public static void instantiateDB(URL url,
                                     HomologeneBuilder builder)
                              throws OperationNotSupportedException,
                                     FileNotFoundException,
                                     IOException

  instantiate a HomologeneDB.

  Currently, only file protocol support is available.

  Throws:
    `OperationNotSupportedException`
    `FileNotFoundException`
    `IOException`